<template>
  <v-app>
    <AppNavbar />
    <AppLoader />
    <v-main>
      <v-container>
        <nuxt />
      </v-container>
    </v-main>
    <AppFooter />
  </v-app>
</template>
<script>
import AppNavbar from "~/components/App/AppNavbar";
import AppFooter from "~/components/App/AppFooter";
import { themeMixin } from "~/components/Mixins/theme";
import AppLoader from "~/components/App/AppLoader";

export default {
  components: { AppLoader, AppFooter, AppNavbar },
  mixins: [themeMixin],
  async created() {
    this.updateListMode();
    await this.$nextTick();
    this.updateTheme(this.themeName);
  },
};
</script>
